package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.User;
import com.ruoyi.xq.domain.UserAuthAudit;
import com.ruoyi.xq.dto.admin.userauth.UserAuthAuditAdminVo;
import com.ruoyi.xq.enums.user.UserAuthTypeEnum;

/**
 * 用户认证审核Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface UserAuthAuditService extends IService<UserAuthAudit> {

    void saveAuthAudit(User user, UserAuthTypeEnum userAuthType, String pic, String remark);
    default void saveAuthAudit(User user, UserAuthTypeEnum userAuthType, String pic) {
        saveAuthAudit(user,userAuthType,pic, null);
    }

    Page<UserAuthAuditAdminVo> pageAdmin(PageQuery pageQuery, UserAuthAuditAdminVo bo);

    void auditSuccess(String ids);

    void auditFail(Long id, String auditRemark);
}
